import {
  world,
  system,
  EntityDamageCause
} from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.itemComponentRegistry.registerCustomComponent('dragons:strong_against_dragons', {
      onHitEntity(e) {

        const target = e.hitEntity;

        if (!e.hadEffect || !target.matches({families: ["dragons"]})) return;

        console.warn('success');
        system.runTimeout(() => {
          target.applyDamage(7, {
              cause: EntityDamageCause.override,
              damagingEntity: e.attackingEntity
          });
        }, 2);

      }
    })
});